--- zip30.orig/unix/configure	2025-02-18 12:58:11.758424176 +0000
+++ zip30/unix/configure	2025-02-18 13:05:22.331456514 +0000
@@ -503,8 +503,32 @@
 }
 _EOF_
 $CC $CFLAGS -c conftest.c >/dev/null 2>/dev/null
-[ $? -eq 0 ] && BFLAG="-fno-builtin"
+[ $? -eq 0 ] && BFLAGS="-fno-builtin"
 
+echo Check for GCC 14 implicit int error
+cat > conftest.c << _EOF_
+main()
+{
+   return 0;
+}
+_EOF_
+$CC $CFLAGS -c conftest.c >/dev/null 2>/dev/null
+[ $? -ne 0 ] && BFLAGS="$BFLAGS -Wno-error=implicit-int"
+
+echo Check for GCC 14 implicit function declaration error
+cat > conftest.c << _EOF_
+int main()
+{
+   func(123);
+   return 0;
+}
+
+int func(int a) {
+   return a;
+}
+_EOF_
+$CC $CFLAGS -c conftest.c >/dev/null 2>/dev/null
+[ $? -ne 0 ] && BFLAGS="$BFLAGS -Wno-error=implicit-function-declaration"
 
 # Check for missing functions
 # add NO_'function_name' to flags if missing
@@ -513,14 +537,14 @@
 do
   echo Check for $func
   echo "int main(){ $func(); return 0; }" > conftest.c
-  $CC $BFLAG -o conftest conftest.c >/dev/null 2>/dev/null
+  $CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
   [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DNO_`echo $func | tr '[a-z]' '[A-Z]'`"
 done
 
 
 echo Check for memset
 echo "int main(){ char k; memset(&k,0,0); return 0; }" > conftest.c
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
 [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DZMEM"
 
 
@@ -529,7 +553,7 @@
 #include <string.h>
 int main() { int a; int b = 0; memmove( &a, &b, sizeof( a)); return a; }
 _EOF_
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
 [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DNEED_MEMMOVE"
 
 
@@ -538,7 +562,7 @@
 #include <string.h>
 int main() { strerror( 0); return 0; }
 _EOF_
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
 [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DNEED_STRERROR"
 
 echo Check for errno declaration
@@ -550,7 +574,7 @@
   return 0;
 }
 _EOF_
-$CC $CFLAGS -c conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS $CFLAGS -c conftest.c >/dev/null 2>/dev/null
 [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DNO_ERRNO"
 
 
@@ -559,12 +583,12 @@
 int main() { return closedir(opendir(".")); }
 _EOF_
 
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
 if [ $? -ne 0 ]; then
   OPT=""
   for lib in ndir dir ucb bsd BSD PW x dirent
   do
-    $CC -o conftest conftest.c -l$lib >/dev/null 2>/dev/null
+    $CC $BFLAGS -o conftest conftest.c -l$lib >/dev/null 2>/dev/null
     [ $? -eq 0 ] && OPT=-l$lib && break
   done
   if [ ${OPT} ]; then
@@ -579,9 +603,9 @@
 
 echo Check for readlink
 echo "int main(){ return readlink(); }" > conftest.c
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+$CC $BFLAGS -o conftest conftest.c >/dev/null 2>/dev/null
 if [ $? -ne 0 ]; then
-  $CC -o conftest conftest.c -lseq >/dev/null 2>/dev/null
+  $CC $BFLAGS -o conftest conftest.c -lseq >/dev/null 2>/dev/null
   [ $? -eq 0 ] && LFLAGS2="${LFLAGS2} -lseq"
 fi
 
